%global pypi_name qtsass

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 1
Summary:        Compile SCSS files to valid Qt stylesheets
Group:          Development/Python
License:        MIT
URL:            https://github.com/spyder-ide/qtsass
Source0:        https://files.pythonhosted.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
SASS brings countless amazing features to CSS. Besides being used in web
development, CSS is also the way to stylize Qt-based desktop applications.
However, Qt's CSS has a few variations that prevent the direct use of
SASS compiler. The purpose of this tool is to fill the gap between SASS
and Qt-CSS by handling those variations.

%package -n     python3-%{pypi_name}
Summary:        Compile SCSS files to valid Qt stylesheets
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-libsass
Requires:       python3-setuptools
Requires:       python3-watchdog

%description -n python3-%{pypi_name}
SASS brings countless amazing features to CSS. Besides being used in web
development, CSS is also the way to stylize Qt-based desktop applications.
However, Qt's CSS has a few variations that prevent the direct use of
SASS compiler. The purpose of this tool is to fill the gap between SASS
and Qt-CSS by handling those variations.


%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md LICENSE.txt
%{_bindir}/qtsass
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 0.3.0-1pclos2022
- import for python 3.10
